use strict;
use warnings;
use File::Find;

# go thru dirs
# if file is symlink replace it with target of symlink
# if target had zero size or did not exist but target.bak did use
#  bak file instead

find( \&relink, @ARGV );
sub relink {
	my $target = readlink($_) or return;
	-s $target or do {
		warn "'$target' from '$File::Find::name' is empty\n";
		if ( -f "$target.bak" && -s _ ) {
			unlink( $target );
			rename("$target.bak",$target);
		} else {
			return;
		}
	};
	unlink($_);
	link( $target,$_ ) or die "link $target $_: $!";
}


