use strict;
use warnings;
use Getopt::Long qw(:config posix_default bundling);
use Image::ExifTool;
use File::Find;
use Data::Dumper;

my @dirs = @ARGV or die;
find( \&fix, @dirs );

sub fix {
	m{\.jp?g$}i or return;
	my $x = Image::ExifTool->new;
	$x->ExtractInfo($_) or return;
	my $c = $x->GetValue( 'UserComment' );
	return unless defined($c) && $c =~m{\S};
	$x->SetNewValue( 'UserComment' );
	$x->SetNewValue( 'Comment',$c );

	unlink( "$_.bak2" );
	rename($_,"$_.bak2") or die $!;
	$x->WriteInfo( "$_.bak2",$_ );
	warn "$File::Find::name - '$c'\n";
}
